# dyte_client

Dyte Flutter SDK
Complete documentation at https://docs.dyte.io/flutter/


# Installation

Install the Flutter package from pub

```shell
flutter pub add dyte_client
```


# Quickstart

:::info Before Getting Started

Before you start integrating Dyte into your application, make sure you've read
the [Getting Started with Dyte](https://docs.dyte.io/getting-started) topic and completed the steps
in the [Integrate Dyte](https://docs.dyte.io/getting-started#integrate-dyte) section.

:::

Get the `roomName` for the meeting and the participant's `authToken` from our
backend APIs (read more about our server APIs [here](https://docs.dyte.io/api/)), and pass them to
Dyte's `DyteMeeting` widget.

1. Import the package.

```dart
import 'package:dyte_client/dyte.dart';
import 'package:dyte_client/dyteMeeting.dart';
```

2. Pass relevant information to `DyteMeeting` widget.

```dart
SizedBox(
    width: <width>,
    height: <height>,
    child: DyteMeeting(
        roomName: "<roomName>",
        authToken: "<authToken>",
        onInit: (DyteMeetingHandler meeting) async {
          // your handler
        },
    )
)
```
